<script lang="ts" setup>
import { ChevronLgRight } from 'slippers-ui/icons';
import type { BaseCard } from '@/types/base';

defineProps<BaseCard>();
</script>

<template>
  <div class="card" data-aos="fade-up" data-aos-duration="750">
    <SlpTypography class="slp-mb-24" tag="h2" variant="heading4-bold">{{ title }} </SlpTypography>
    <SlpTypography class="slp-mb-24" tag="p" variant="body1">{{ description }} </SlpTypography>
    <SlpButton
      v-if="button"
      class="card__link"
      :href="button.config.href"
      :data-ga-name="button.config.dataGaName"
      :data-ga-location="button.config.dataGaLocation"
      variant="tertiary"
    >
      {{ button.text }}
      <SlpIcon
        class="slp-ml-8"
        :icon="ChevronLgRight"
        name="chevron-lg-right"
        variant="product"
        alt="Chevron Right Icon"
      />
    </SlpButton>
  </div>
</template>

<style lang="scss" scoped>
.card {
  padding: $spacing-32;
  background: $color-surface-800;
  border-radius: 16px;

  @media (max-width: $breakpoint-md) {
    margin-top: 48px;
  }
}

.card__link {
  padding-left: 0;
}
</style>
